You can fetch a list of all URL redirects for a help center by making a GET request to https://api.intercom.io/help_center/help_centers/{help_center_id}/redirects.
Redirects are returned in ascending alphabetical order of from_url.
Requires the read_help_center_redirects_scope OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
- The production API serverhttps://api.intercom.io/help_center/help_centers/{help_center_id}/redirects
- The european API serverhttps://api.eu.intercom.io/help_center/help_centers/{help_center_id}/redirects
- The australian API serverhttps://api.au.intercom.io/help_center/help_centers/{help_center_id}/redirects
curl -i -X GET \
'https://api.intercom.io/help_center/help_centers/123/redirects?page=1&per_page=50' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Successful
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
An array of help center redirect objects.
{ "type": "list", "data": [ { … } ], "total_count": 1, "pages": { "type": "pages", "page": 1, "per_page": 50, "total_pages": 1 } }